﻿using Srv.Interface;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Tcp;
using System.Text;

namespace RemotingClient
{
    class Program
    {
        static void Main(string[] args)
        {
            ChannelServices.RegisterChannel(new TcpClientChannel(), false);
            ICalc remoteobj = (ICalc)Activator.GetObject(typeof(ICalc),
            "tcp://localhost:6666/Calc");
            CalcInfo info = new CalcInfo();
            info.Method = "test";
            Console.WriteLine("press any key to run...");
            Console.ReadLine();
            int max = 10000;
            DateTime start = DateTime.Now;
            for (int i = 0; i < max; i++)
            {
                CalcInfo res = remoteobj.Calc(info);
            }
            TimeSpan sp = DateTime.Now - start;
            Console.WriteLine("run {0} times use {1}ms ", max, sp.TotalMilliseconds);
            Console.ReadLine();
        }
    }
}
