﻿using Srv.Interface;
using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.Text;

namespace WcfClient
{
    class Program
    {
        static void Main(string[] args)
        {
            using(ChannelFactory<Srv.Interface.ICalc> factory = new ChannelFactory<Srv.Interface.ICalc>("Calc2"))
            {
                Srv.Interface.ICalc calc = factory.CreateChannel();
                CalcInfo info = new CalcInfo();
                info.Method = "test";
                Console.WriteLine("press any key to run...");
                Console.ReadLine();
                int max = 10000;
                Console.WriteLine("it's run...");
                DateTime start = DateTime.Now;
                for (int i = 0; i < max; i++)
                {
                    CalcInfo res = calc.Calc(info);
                }
                TimeSpan sp = DateTime.Now - start;
                Console.WriteLine("run {0} times use {1}ms ", max, sp.TotalMilliseconds);
                Console.ReadLine();
            }
        }
    }
}
